Zum Hauptinhalt springen

Unlock a lead for the given customerId

POST/v2/customers/{customerId}/unlocked-leads/{leadId}
API-Version
v2
Request-Methode
POST
Operation-ID
leadfyndr-unlock-lead

Request​

  • leadIdstringrequired
  • customerIdstringrequired

Responses​

Format
application/json
Beschreibung
  • leadIdstringrequired
Content-Type: application/json

{
"leadId": "string"
}
{
"properties": {
"leadId": {
"type": "string"
}
},
"required": [
"leadId"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/unlocked-leads/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.leadFyndr.unlockLead({
"leadId": "string",
"customerId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\LeadFyndr\UnlockLead\UnlockLeadRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new UnlockLeadRequest(
leadId: "string",
customerId: "string"
));
$response = $client->leadFyndr()->unlockLead($request);

var_dump($response->getBody();

Auf dieser Seite